# Class IsoExt

java.lang.Object
org.jmol.scriptext.ScriptExt
org.jmol.scriptext.IsoExt

public class IsoExt extends ScriptExt

## Field Summary

### Fields inherited from class ScriptExt

`chk, e, slen, st, vwr`

## Constructor Summary

Constructors
Constructor
Description
`IsoExt()`

## Method Summary

Modifier and Type
Method
Description
`String`
`dispatch(int iTok, boolean b, T[] st)`

### Methods inherited from class ScriptExt

`atomExpressionAt, bsToArray, centerParameter, checkLength, error, finalizeObject, floatParameter, getAllPoints, getColorTrans, getIntArray2, getPoint3f, getShapeProperty, getToken, init, intParameter, invArg, invPO, isFloatParameter, paramAsStr, setShapeId, setShapeProperty, showString, stringParameter, tokAt`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IsoExt

public IsoExt()

## Method Details

### dispatch

public String dispatch(int iTok, boolean b, T[] st) throws ScriptException

Specified by:
  `dispatch` in class `ScriptExt`
Throws:
  `ScriptException`